/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Servlet;

import Datos.EjercicioDB;
import Modelo.Ejercicio;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class CargarEjercicioServlet extends HttpServlet {

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String operacion = request.getParameter("operacion");
        String id_entrenamiento = request.getParameter("id_entrenamiento");
        String fecha = request.getParameter("fecha");
        String concepto = request.getParameter("concepto");
        String categoria = request.getParameter("categoria");
        String tipo = request.getParameter("tipo");
        ArrayList<Ejercicio> lista_ejercicios = EjercicioDB.getEjercicio(categoria, concepto, tipo);
        try (PrintWriter out = response.getWriter()) {
            /* TODO output your page here. You may use following sample code. */
            out.println("<!DOCTYPE html>");
            out.println("<html>");
            out.println("<head>");           
            out.println("</head>");
            out.println("<body>");
            for(int i = 0;i<lista_ejercicios.size();i++){
                Ejercicio ejercicio = lista_ejercicios.get(i);
                out.println("<div class=\"row\">");
                    out.println("<div class=\"col s12 m6\">");
                        out.println("<div class=\"card orange darken-3\">");
                            out.println("<div class=\"card-content white-text\">");
                                out.println("<span class=\"card-title\">"+ejercicio.getNombre()+"</span>");
                            out.println("</div>");
                            out.println("<div class=\"card-action\">");
                                out.println("<a href= \"/crearEntrenamiento2?id_ejercicio="+ejercicio.getId_ejercicio()+"&fecha="+fecha+"&id_entrenamiento="+id_entrenamiento+"&operacion="+operacion+"\"><span class=\" white-text\">Ver</span></a>");
                            out.println("</div>");
                        out.println("</div>");
                    out.println("</div>");
                out.println("</div>");
            }
            out.println("</body>");
            out.println("</html>");
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}